#:import style settings.style
#:import constants constants


# This acts as the main layout file
#the pieces should be loaded first

<AppRootWidget>
    manager: screen_manager

    AnchorLayout:
        id: menu_layout
        anchor_x: 'center'
        anchor_y: 'top'

        MenuBarLayout:
            id: _menu_bar

    #core
    AnchorLayout:
        id: core_layout
        anchor_x: 'center'
        anchor_y: 'bottom'
        MainScreenManager:
            id: screen_manager
            size_hint: None,None
            width: root.width - 10
            height: root.height - _menu_bar.height



#:import FadeTransition kivy.uix.screenmanager.FadeTransition
<MainScreenManager>:
    id : main_screen_manager
    transition: FadeTransition()
    MainScreen
    AboutScreen


<BaseScreen@Screen>

<AboutScreen@BaseScreen>:
    id : constants.ABOUT_SCREEN
    name : constants.ABOUT_SCREEN
    BoxLayout:
        orientation: "vertical"
        Button:
            text: 'Created by Noel Victor'
            on_press: root.manager.current = constants.MAIN_SCREEN

<MainScreen@BaseScreen>:
    id: constants.MAIN_SCREEN
    name: constants.MAIN_SCREEN

    BoxLayout:
        orientation: 'vertical'
        CalculatorLayout:
            id: _core

        StatusBar:
            id: _status_bar











